Changing the PHP CLI version in the ISPConfig panel

Discussion in 'Installation/Configuration' started by forbin1234, Jan 4, 2022.

  1. forbin1234

    forbin1234 New Member

    I recently did an upgrade from stretch to buster. I ran through the process of upgrading, ran the update.sh. After reboot and I login to ISPconfig, I get the blank page. PHP version conflict. I did update-alternatives and confirmed I have PHP7.3 set. When I do a phpinfo from the ISPConfig URL it says I am using PHP8.1. Is there a way to set the PHP version for ISPConfig from CLI?

    Thanks!

    Im getting the usual errors of a version conflict:

    [Tue Jan 04 17:35:19.964391 2022] [fcgid:warn] [pid 26672] [client 192.168.10.210:49784] mod_fcgid: stderr: Stack trace:

    [Tue Jan 04 17:35:19.964393 2022] [fcgid:warn] [pid 26672] [client 192.168.10.210:49784] mod_fcgid: stderr: #0 /usr/local/ispconfig/interface/lib/classes/tpl.inc.php(1366): eval()

    [Tue Jan 04 17:35:19.964395 2022] [fcgid:warn] [pid 26672] [client 192.168.10.210:49784] mod_fcgid: stderr: #1 /usr/local/ispconfig/interface/lib/classes/tpl.inc.php(769): tpl->_parse()

    [Tue Jan 04 17:35:19.964398 2022] [fcgid:warn] [pid 26672] [client 192.168.10.210:49784] mod_fcgid: stderr: #2 /usr/local/ispconfig/interface/web/index.php(117): tpl->pparse()

    [Tue Jan 04 17:35:19.964399 2022] [fcgid:warn] [pid 26672] [client 192.168.10.210:49784] mod_fcgid: stderr: #3 {main}

    [Tue Jan 04 17:35:19.964401 2022] [fcgid:warn] [pid 26672] [client 192.168.10.210:49784] mod_fcgid: stderr: thrown in /usr/local/ispconfig/interface/lib/classes/tpl.inc.php(1366) : eval()'d code on line 116


    System Linux c3p0 4.19.0-18-amd64 #1 SMP Debian 4.19.208-1 (2021-09-29) x86_64
    Build Date Dec 20 2021 21:33:24
    Build System Linux
    Server API CGI/FastCGI
    Virtual Directory Support disabled
    Configuration File (php.ini) Path /etc/php/8.1/cgi
    Loaded Configuration File /etc/php/7.3/cgi/php.ini
    Scan this dir for additional .ini files /etc/php/8.1/cgi/conf.d
     
    Last edited: Jan 5, 2022
  2. Jesse Norell

    Jesse Norell ISPConfig Developer Staff Member ISPConfig Developer

    Your issue is on a different operating system, with different symptoms, please don't hijack other threads. I'm moving this to a new thread.
    The 'Panel not showing up / server.sh script error' entry in the read before posting post shows how to update the default php version. You need to change not just the default cli version, but everything related to php (ls -l /etc/alternatives/*php*). Also if running apache, check your default php interpreter under apache (eg. disable all mod_php versions and enable config for the php7.3-fpm).

    Once you have access to ISPConfig again, update the default php settings under System > Server Config.
     
  3. forbin1234

    forbin1234 New Member

    Message received. The changes worked and I'm in. Server Config is updated. Thanks for your help.
     

Share This Page